<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'team-view'">
  <div class="flex full-height full-width neutral-background-color">
    @if (componentData$ | async; as componentData) {
      <div class="flex-column full-width">
        <ng-content select="[projection=context-title]"> </ng-content>
        <div class="flex-row full-width">
          <sqtm-app-admin-view-header
            class="full-width p-t-10 p-r-20"
            [entityNameKey]="'name'"
            [dropdownMenu]="teamMenu"
            [showMenu]="loggedAsAdmin$ | async"
          >
            <ng-content select="[projection=context-buttons]"> </ng-content>
          </sqtm-app-admin-view-header>
        </div>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:information'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'authorisations'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.user.authorisation.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:project'"
                  >
                    @if (
                      teamViewService.authorisationCount$ | async;
                      as authorisationCount
                    ) {
                      @if (authorisationCount > 0) {
                        <div
                          class="anchor-counter"
                          [attr.data-test-element-id]="
                            'team-view-authorisation-count'
                          "
                        >
                          <span>{{ authorisationCount }}</span>
                        </div>
                      }
                    }
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'members'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.team.member.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:user'"
                  >
                    @if (teamViewService.memberCount$ | async; as memberCount) {
                      @if (memberCount > 0) {
                        <div
                          class="anchor-counter"
                          [attr.data-test-element-id]="'team-view-member-count'"
                        >
                          <span>{{ memberCount }}</span>
                        </div>
                      }
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div class="admin-contextual-content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    }
  </div>

  <nz-dropdown-menu #teamMenu="nzDropdownMenu">
    <ul nz-menu [attr.data-test-menu-id]="'team-menu'">
      <li
        nz-menu-item
        class="sqtm-core-error-message"
        [attr.data-test-menu-item-id]="'delete-team'"
        (click)="handleDelete()"
      >
        {{ 'sqtm-core.generic.label.delete' | translate }}
      </li>
    </ul>
  </nz-dropdown-menu>
</sqtm-core-entity-view-wrapper>
